<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if($aut==true){
$diz -> head('Обменник файлов');
$diz -> title('<b>Обменник файлов</b>');
$row =  $db -> query("SELECT `infolder`,`name`,`load`,`pass` FROM `obmen_files` WHERE `id`='".$id."'")-> fetch_row();
if (file_exists($row[0])) {
if ($row[3]!=null and empty($_POST['pass'])) {
$msg.='<div class="fon"><form action="?" method="post" enctype="multipart/form-data">
Введите пароль:</br>
<textarea name="pass" rows="1" cols="25"></textarea><br/>
<input type="submit" value="Скачать!"/>
</div></form></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="view/'.$id.'/">К файлу</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
}else{
$pass = shit($_POST['pass']); 
if($pass==$row[3]){
$msg.='<div class="fon">Скачивание начнёться автоматически через 3 секунды!</div>';
$up=$row[2]+1;
$db -> query("UPDATE `obmen_files` SET `load`='$up' WHERE `id`='".$id."'"); 
header('Refresh: 3, url=./'.$row[0]);
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
}else{$msg.='Пароль введён неверно!</br><a href="?">Назад</a><br/>';}
}
} else {
$msg .='<div class="fon">Файл не найден!</div>';
}
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{header('location: ./view/'.$id.'/');}
?>